﻿namespace Netina.Domain.CommandQueries.Commands;

public sealed record CreateBrandCommand(string PersianName,
    string EnglishName, 
    string Description ,
    bool HasSpecialPage ,
    string PageUrl,
    List<StorageFileSDto> Files,
    Dictionary<string, string> Faqs,
    Dictionary<string, string> MetaTags) : IRequest<Guid>;

public sealed record UpdateBrandCommand(Guid Id,
    string PersianName,
    string EnglishName,
    string Description,
    bool HasSpecialPage,
    string PageUrl,
    List<StorageFileSDto> Files,
    Dictionary<string, string> Faqs,
    Dictionary<string, string> MetaTags) : IRequest<bool>;

public sealed record DeleteBrandCommand(Guid Id) : IRequest<bool>;

