﻿using Netina.Domain.Entities.Comments;

namespace Netina.Domain.Entities.Products;

public partial class ProductComment : Comment
{
    public ProductComment()
    {

    }

    public ProductComment(string title, string content, float rate, bool isBuyer, bool isAdmin, Guid userId, Guid productId)
        : base(title, content, rate, isAdmin, userId)
    {
        ProductId = productId;
        IsBuyer = isBuyer;
    }
    public bool IsBuyer { get; internal set; }
    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }
}