﻿namespace Netina.Domain.MartenEntities.Settings;

public class BannerItemModel
{
    public string ImageLocation { get; set; } = string.Empty;
    public string Title { get; set; } = string.Empty;
    public string Link { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public BannerSection Section { get; set; }
}

public class CatalogItemModel
{
    public Guid Id { get; set; }
    public string PersianName { get; set; } = string.Empty;
    public string EnglishName { get; set; } = string.Empty;
    public string Query { get; set; } = string.Empty;
    public string ImageLocation { get; set; } = string.Empty;
    public int Row { get; set; }
    public bool IsMain { get; set; }
    public Guid ParentId { get; set; }
    public string ParentName { get; set; } = string.Empty;
}

public class PersonalizationSetting
{
    public List<BannerItemModel> Banners { get; set; } = new();
    public List<CatalogItemModel> Catalog { get; set; } = new();
}