﻿using FluentValidation;

namespace Netina.Repository.Handlers.Comments.Validators;

public class UpdateCommentCommandValidator : AbstractValidator<UpdateCommentCommand>
{
    public UpdateCommentCommandValidator()
    {
        RuleFor(d => d.Title)
            .NotNull()
            .NotEmpty()
            .WithMessage("عنوان نظر مورد نظر را وارد کنید");

        RuleFor(d => d.Content)
            .NotNull()
            .NotEmpty()
            .WithMessage("متن نظر مورد نظر را وارد کنید");
    }
}