﻿using Netina.Domain.Dtos.FilterDtos;

namespace Netina.Domain.Dtos.ResponseDtos;

public class GetProductsResponseDto
{
    public List<ProductSDto> Products { get; set; } = new List<ProductSDto>();

    public PagerResponseDto Pager { get; set; } = new PagerResponseDto();

    public FilterResponseDto Filters { get; set; } = new FilterResponseDto();

    public SeoResponseDto Seo { get; set; } = new SeoResponseDto();
}

public class FilterResponseDto
{
    public PriceFilterDto Price { get; set; } = new PriceFilterDto();
    public ExpressDeliveryFilter ExpressDelivery { get; set; } = new ExpressDeliveryFilter();
}

public class SeoResponseDto
{
    public string Description { get; set; } = string.Empty;
    public string Title { get; set; } = string.Empty;
    public Dictionary<string, string> MetaTags { get; set; } = new();
}