﻿using Netina.Domain.Entities.Comments;

namespace Netina.Domain.Entities.Blogs;

public partial class BlogComment : Comment
{
    public BlogComment()
    {

    }

    public BlogComment(string title, string content, float rate, bool isAdmin, Guid userId, Guid blogId)
        : base(title, content, rate, isAdmin, userId)
    {
        BlogId = blogId;
    }
    public Guid BlogId { get; internal set; }
    public Blog? Blog { get; internal set; }

}