﻿using Marten;
using Netina.Repository.Abstracts;

namespace Netina.Infrastructure.Marten;

public class MartenRepositoryWrapper(IDocumentStore documentStore,ICurrentUserService currentUserService) : IMartenRepositoryWrapper
{
    public IMartenRepository<TMartenEntity> SetRepository<TMartenEntity>() where TMartenEntity : IMartenEntity
        => new MartenRepository<TMartenEntity>(documentStore, currentUserService);
}